
/**
 * A bank account has a balance that can be changed by
 * deposits and withdrawals.
 */
public class BankAccount {

    /**
     * Constructs a bank account with a zero balance.
     */
    public BankAccount() {
        this("", "", 0);
    }

    /**
     * Constructs a bank account with a given balance.
     *
     * @param initialBalance the initial balance
     */
    public BankAccount(double initialBalance) {
        this("", "", initialBalance);

    }

    /**
     * Constructs a bank account with given name, surname and balance.
     *
     * @param initialBalance the initial balance
     * @param ownerName the name of the bank account owner
     * @param ownerSurname the name of the bank account owner
     */
    public BankAccount(String ownerName, String ownerSurname, double initialBalance) {
        balance = initialBalance;
        name = ownerName;
        surname = ownerSurname;
    }

    
    
    /**
     * Deposits money into the bank account.
     *
     * @param amount the amount to deposit
     */
    

    public void deposit(double amount) {

        double newBalance = balance+amount;
        balance = newBalance;
        
    }

    /**
     * Withdraws money from the bank account.
     *
     * @param amount the amount to withdraw
     * @return true if successful, false otherwise
     */
    public boolean withdraw(double amount) {

        double newBalance = balance - amount;
        if (newBalance > 0) {
            balance = newBalance;
            return true;
        }
        return false;
    }

    /**
     * Gets the current balance of the bank account.
     *
     * @return the current balance
     */
    public double getBalance() {
        return balance;
    }

    private double balance;
    private String name;
    private String surname;
}
